Folks.PostalAddress – folks Reference Manual

# PostalAddress

## Object Hierarchy:

## Description:

public class PostalAddress : Object

Object representing a postal mail address.

The components of the address are never `null`: an empty string indicates that a property is not set.

Namespace: Folks
Package: folks

## Content:

### Properties:

- public string address_format { get; set construct; }
  The address format.
- public string country { get; set construct; }
  The country.
- public string extension { get; set construct; }
  The address extension.
- public string locality { get; set construct; }
  The locality.
- public string po_box { get; set construct; }
  The PO Box.
- public string postal_code { get; set construct; }
  The postal code.
- public string region { get; set construct; }
  The region.
- public string street { get; set construct; }
  The street name and number.
- public string uid { get; set construct; }
  The UID of the Postal Address (if any).

### Creation methods:

- public PostalAddress (string? po_box, string? extension, string? street, string? locality, string? region, string? postal_code, string? country, string? address_format, string? uid)
  Create a PostalAddress.

### Methods:

- public bool equal (PostalAddress @with)
  Compare if two postal addresses are equal. Addresses are equal if all their components are equal (where `null` compares equal only with `null`) and they have the same set of types (or both have no types).
- public bool is_empty ()
  Whether none of the components is set.
- public string to_string ()
  Get a formatted version of the address. The format is localised, and by default is comma-separated.

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref